<template>
<div class="root">
  <div id="add-item-title" class="container">
    <h1>Ajouter un objet à la liste {{ name }}</h1>

    <form id="add-item-form" class="container">
        <div>
            <label for="nameItem">Nom de l'objet </label>
            <input type="text" name="nameItem" v-model="nom">
        </div>

        <div>
            <label for="qItem">Quantité  </label>
            <input type="number" name="qItem" v-model="quantite">
        </div>

    </form>
    <div class="btn-row">
      <button type="button" @click="goBack">Annuler</button>
      <button type="button" @click="addToList">Ajouter un item</button>
    </div>
  </div>
</div>
</template>

<script>
export default {
  name: 'ShoppingListAddPage',
  props: ['name', 'items'],
  data() {
    return {
      nom: '',
      quantite: 1
    }
  },
  created() {
    this.slug = this.$route.params.slug;
  },
  methods: {

    goBack() {
      this.$router.go(-1);
    },

    addToList() {
      const list = JSON.parse(localStorage.getItem( 'LIST__' + this.slug ));

      const item = { id: list.items.length, nom: this.nom, quantite: this.quantite, selected: false };
      list.items.push(item);

      localStorage.setItem('LIST__' + list.slug, JSON.stringify(list));

      this.$router.push({ path: `/list/${this.slug}` });
    }
}
}
</script>


<style>
  #add-item-title {
    text-align: left;
  }

  #add-item-form {
    display: grid;
    grid-template-rows: repeat(2, 1fr);
    grid-template-columns: repeat(2, 1fr);
  }

  .btn-row {
    display: flex;
    justify-content: center;
  }

  .btn-row button {
    margin-right: 15px;
  }

</style>
